uk.gov.hmrc.ct.computations

# CP251

###
Related Docs: object CP251 | package computations

#### case class CP251(value: Int) extends CtBoxIdentifier with CtInteger with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CtInteger, CtValue[Int], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP251
2. Serializable
3. Serializable
4. Product
5. Equals
6. CtInteger
7. CtValue
8. CtBoxIdentifier
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CP251(value: Int)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def asInt: Option[Int]

   Definition Classes
     CtInteger

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def id: String

    Definition Classes
      CtBoxIdentifier

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def isPositive: Boolean

    Definition Classes
      CtInteger

14. #### def minus(other: Int): Int

    Definition Classes
      CtInteger

15. #### def minus(other: CtOptionalInteger): Int

    Definition Classes
      CtInteger

16. #### def minus(other: CtInteger): Int

    Definition Classes
      CtInteger

17. #### val name: String

    Definition Classes
      CtBoxIdentifier

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def plus(other: Int): Int

    Definition Classes
      CtInteger

22. #### def plus(other: CtOptionalInteger): Int

    Definition Classes
      CtInteger

23. #### def plus(other: CtInteger): Int

    Definition Classes
      CtInteger

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### val value: Int

    Definition Classes
      CP251 → CtValue

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CtInteger

### Inherited from CtValue[Int]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped